Package relaxngcc.builder

# Class CodeBuilder

java.lang.Object
relaxngcc.builder.CodeBuilder

public class CodeBuilder extends Object
generates Java code that parses XML data via NGCCHandler interface

## Constructor Summary

Constructors
Constructor
Description
`CodeBuilder(NGCCGrammar grm, ScopeInfo sci, Options o)`

## Method Summary

Modifier and Type
Method
Description
`CDClass`
`output()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CodeBuilder

public CodeBuilder(NGCCGrammar grm, ScopeInfo sci, Options o)

## Method Details

### output

public CDClass output() throws NoDefinitionException, IOException

Throws:
  `NoDefinitionException`
  `IOException`